
#pragma once

#include "ConsoleBox.h"

class COutputWnd : public CDockablePane
{
// Создание
	public:
		COutputWnd();

		void UpdateFonts();

// Атрибуты
	protected:
		CConsoleBox m_wndConsole;

		void AdjustHorzScroll(CListBox &wndListBox);

// Реализация
	public:
		virtual ~COutputWnd() override;
		void SendChar(TCHAR ch);

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);

		DECLARE_MESSAGE_MAP()
};

